This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 170534 - Review Request: perl-Net-Patricia - Patricia Trie perl module for fast IP address lookups
Review Request: perl-Net-Patricia - Patricia Trie perl module for fast IP add...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://www.cora.nwra.com/~orion/fedora/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-12 12:45 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-24 12:18:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-10-12 12:45:37 EDT
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/perl-Net-Patricia.spec
SRPM Name or Url:
http://www.cora.nwra.com/~orion/fedora/perl-Net-Patricia-1.010-1.src.rpm
Description: 

This module uses a Patricia Trie data structure to quickly perform IP
address prefix matching for applications such as IP subnet, network or
routing table lookups.  The data structure is based on a radix tree using a
radix of two, so sometimes you see patricia implementations called "radix"
as well.  The term "Trie" is derived from the word "retrieval" but is
pronounced like "try".  Patricia stands for "Practical Algorithm to
Retrieve Information Coded as Alphanumeric", and was first suggested for
routing table lookups by Van Jacobsen.  Patricia Trie performance
characteristics are well-known as it has been employed for routing table
lookups within the BSD kernel since the 4.3 Reno release.
Comment 1 Paul Howarth 2005-10-24 08:49:40 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is GPL, matches spec, text included
- spec file written in English and is legible
- sources match upstream
- package builds OK in FC4 (i386) and in mock for rawhide (i386)
- BR's OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- docs don't affect runtime
- no large docs
- no desktop entry needed
- no scriptlets

Nitpick:

- fiddling with LD_RUN_PATH hasn't been necessary since FC2 - see
 
http://koti.welho.com/vskytta/packagers-handbook/packagers-handbook.html#guidelines-perl-linkerflags

Approved.
Comment 2 Orion Poplawski 2005-10-24 12:18:56 EDT
Removed the LD_RUN_PATH change and built on devel.

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.